<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * --------------------------------------------------------------------
 * Centerblock mxTabs 1.1 for pragmaMx 0.1.10
 * written by (c) 2008 Siggi Braunert, http://www.sb-websoft.com
 * --------------------------------------------------------------------
 **/
if (!defined("mxMainFileLoaded")) die ("access denied");

error_reporting(0); // falls Warnungen in den Bloecken die Meldung unterdruecken

$langfile = 'blocks/mxTabs/language/lang-'.$GLOBALS['currentlang'].'.php';
if (!file_exists($langfile)) {
	$langfile = str_replace($GLOBALS['currentlang'], 'german', $langfile);
}
include($langfile); 
require_once("blocks/mxTabs/class.php");
$tabcontent = $mxTabs->get_tabcontent();
$echo = "";
$content = "";
$selected = ' class="selected"';
ob_start(); 
?> 
<div class="wraptabs"> 
    <ul id="maintab" class="shadetabs">
    <?php foreach($tabcontent as $tab) :?>     
       	<li<?php echo $selected ?>><a href="javascript:void(0);" rel="tcontent<?php echo $tab['bid'] ?>" onfocus="blur()"><?php echo $tab['title'] ?></a></li>
       		<?php $selected = ""; ?>       
      	<?endforeach ;?>
    </ul>
    <div class="tabcontentstyle">
    	<?php foreach($tabcontent as $tab) :?>
      	<div id="tcontent<?php echo $tab['bid'] ?>" class="tabcontent">
        	<?php 
		$output = ""; 
		$content = "";   	
		if (empty($tab['blockfile'])) { 
			if (!empty($tab['url'])) {
        		$output = $mxTabs->get_rssdata($tab); // RSS Feeds laden... 
        	} else { 
				$output = $tab['content'];
			}        	
		} 
		else {   
			if ($tab['blockfile'] == 'block-Menu.php') { 
				$block['bid'] = $tab['bid'];			
			}				
			include("blocks/".$tab['blockfile']);
			if (!isset($content) || empty($content)) {
				$content = _BLOCKPROBLEM2;
			}
			if (is_block_Modules($tab['blockfile'])) {
				if (class_exists('pmzThemeTPL')) {
					if (!isset($html_object)) {
						$html_object = new pmzThemeTPL();
					}
					$content = $html_object->show_list($tab['title'], $content);
				}	
				$output = $content; 
				unset($opti); // Damit die Modullinks nicht aus allen Modulbloecken zusammengewuselt werden :-)
			}
			else {
				if (defined('THEME_IS_PMZ')) {
					$my_block = $tab; 
					$my_block['content'] = $content;
					$my_block = pmzTheme::block_replace($my_block);
					extract($my_block); 
					unset($my_block);
				}
				$output = $content;
	  		}
	  		unset($blockfiletitle);
	  	}
		print $output;  
		?> 
      	</div>
      	<?php endforeach; ?>   
      	<?php if(MX_IS_ADMIN) { print('<div style="font-size: 80%; text-align:right;"><a href="index.php?mxtabs=admin">['.str_replace(":", "",_ADMIN).']</a></div>'); } ?>  
    </div>
</div>
<script type="text/javascript">
//<![CDATA[
	initializetabcontent("maintab");
//]]>
</script>
<?php
$echo = ob_get_contents(); 
ob_end_clean();
if ($block['position'] == "c" || $block['position'] == "d") {
	$content = $echo;  
}
else {
	$content = "Where I am ?<br />Here I have not enough space.<br /><b>I am a centerblock!</b>"; 
} 
?>
